/*  *
 * ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code Shadows.com API client implementation.
 *
 * The Initial Developer of the Original Code is
 * Pluck Corporation. This code is Copyright (C) 2005, 2006
 * All Rights Reserved.
 *
 * Contributor(s):
 *   Carl Brown (carlb@shadows.com)
 *   Duane Fields (dfields@pluck.com)
 *
 * ***** END LICENSE BLOCK ***** */


const DEBUG = false;
var debug = function (str) { dump (str); }
if (!DEBUG) {
    debug = function (stR) { }
}


if (typeof shadows=="undefined") {
debug ('loading contrib/shadows.js\n');            
            shadows={};
            shadows.util={};
            debug ('loading contrib/shadows.js: define loadScript\n');
            shadows.util.loadScript = function(scriptPath) {

            debug ('loading contrib/shadows.js: '+scriptPath+'\n'); 
            try {
                netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead'); 
                netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
                debug ('loading contrib/shadows.js: Permissions now set\n'); 
            } catch (e) { debug("Exception with permissions before loading " + scriptPath + ".: " + e + "\n"); }
            var scriptLoader = Components.classes["@mozilla.org/moz/jssubscript-loader;1"]
                .createInstance(Components.interfaces.mozIJSSubScriptLoader);
                try {
                scriptLoader.loadSubScript(scriptPath); 
            } catch (e) { debug("Exception loading " + scriptPath + ".: " + e + "\n");}
            debug ('loaded contrib/shadows.js: '+scriptPath+'\n'); 
        }
    //globals and stuff
    debug ('loading contrib/shadows.js: Common\n');            
    shadows.util.loadScript("chrome://browser/content/flock/contrib/shadows/util/common.js");
    //code cut and pasted from other web services or other places in flock
    shadows.util.loadScript("chrome://browser/content/flock/contrib/shadows/util/flockCode.js");
    // from Pluck (Shadows.com's parent company
    debug ('loading contrib/shadows.js: Pluck\n');
    shadows.util.loadScript("chrome://browser/content/flock/contrib/shadows/util/pluckdebug.js");
    shadows.util.loadScript("chrome://browser/content/flock/contrib/shadows/util/pluckutils.js");
    
    //Start XMLRPC
    debug ('loading contrib/shadows.js: XMLRPC\n');
    shadows.util.loadScript("chrome://browser/content/flock/contrib/shadows/xmlrpc/createUser.js");
    shadows.util.loadScript("chrome://browser/content/flock/contrib/shadows/xmlrpc/bookmarks.js");
    shadows.util.loadScript("chrome://browser/content/flock/contrib/shadows/xmlrpc/collections.js");
    shadows.util.loadScript("chrome://browser/content/flock/contrib/shadows/xmlrpc/public.js");
}
